export declare const indentSymbol: unique symbol;
export declare const dedentSymbol: unique symbol;
export declare type IndentationSymbol = typeof indentSymbol | typeof dedentSymbol;
export declare type AsyncTreeInputIterable<T> = AsyncIterable<T | IndentationSymbol>;
export declare function printTree(iter: AsyncTreeInputIterable<string>): Promise<void>;
