/// <reference types="node" />
import http from 'http';
export interface BrowserScriptRelay {
    emitScriptEvent(eventName: string | symbol, ...args: any[]): boolean;
    filePathToUrl(filePath: string): string | null;
    urlPathToFilePath(urlPath: string): string | null;
}
export declare function attachBrowserScriptRelay(server: http.Server, relay: BrowserScriptRelay): void;
export declare function injectScriptEventRelayScript(html: string): string;
